- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 76941885-6146-47a5-8bb0-9775c8d00e18
    creation_time: 2023-02-17T13:42:38.682959Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/bresenham-ll.c
      input_file_hashes:
        c/nla-digbench/bresenham-ll.c: 68505a1040934ea3cdccf61a3fb1a3debf8c6c64330c175637d96b2737c92d5f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/bresenham-ll.c
    file_hash: 68505a1040934ea3cdccf61a3fb1a3debf8c6c64330c175637d96b2737c92d5f
    line: 31
    column: 0
    function: main
  loop_invariant:
    string: 2 * Y * x - 2 * X * y - X + 2 * Y - v == 0 && (x <= X + 1 || (X < 0 && 0 == x && v == 2 * Y - X))
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 28e6dda0-7e73-4b59-beaf-a1c51efa1cbe
    creation_time: 2023-02-17T13:42:38.683359Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/bresenham-ll.c
      input_file_hashes:
        c/nla-digbench/bresenham-ll.c: 68505a1040934ea3cdccf61a3fb1a3debf8c6c64330c175637d96b2737c92d5f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/bresenham-ll.c
    file_hash: 68505a1040934ea3cdccf61a3fb1a3debf8c6c64330c175637d96b2737c92d5f
    line: 34
    column: 0
    function: main
  location_invariant:
    string: 2 * yx - 2 * xy - X + 2 * Y - v == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: fb712358-aebb-4236-a8e2-99cf56bba9b2
    creation_time: 2023-02-17T13:42:38.683455Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/bresenham-ll.c
      input_file_hashes:
        c/nla-digbench/bresenham-ll.c: 68505a1040934ea3cdccf61a3fb1a3debf8c6c64330c175637d96b2737c92d5f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/bresenham-ll.c
    file_hash: 68505a1040934ea3cdccf61a3fb1a3debf8c6c64330c175637d96b2737c92d5f
    line: 49
    column: 0
    function: main
  location_invariant:
    string: 2 * yx - 2 * xy - X + 2 * Y - v + 2 * y == 0
    type: assertion
    format: C

